Botan 2.19.5 Crypto and TLS for C&

Classes | Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Distribution_Points Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Distribution_Points:

## Classes
class | Distribution_Point

## Public Member Functions
CRL_Distribution_Points * | copy () const override
| CRL_Distribution_Points ()=default
| CRL_Distribution_Points (const std::vector< Distribution_Point > &points)
const std::vector< std::string > & | crl_distribution_urls () const
const std::vector< Distribution_Point > & | distribution_points () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate > > &cert_path, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Distribution Points Extension todo enforce restrictions from RFC 5280 4.2.1.13

Definition at line 391 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_Distribution_Points() [1/2]

Botan::Cert_Extension::CRL_Distribution_Points::CRL_Distribution_Points | ( |  | ) |
| default

## ◆ CRL_Distribution_Points() [2/2]

Botan::Cert_Extension::CRL_Distribution_Points::CRL_Distribution_Points | ( | const std::vector< Distribution_Point > & | points | ) |
| inline explicit

Definition at line 410 of file x509_ext.h.

410 :
411 m_distribution_points(points) {}

## Member Function Documentation

## ◆ copy()

CRL_Distribution_Points * Botan::Cert_Extension::CRL_Distribution_Points::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 405 of file x509_ext.h.

406 { return new CRL_Distribution_Points(m_distribution_points); }
Botan::Cert_Extension::CRL_Distribution_Points::CRL_Distribution_Points
CRL_Distribution_Points()=default

## ◆ crl_distribution_urls()

const std::vector< std::string > & Botan::Cert_Extension::CRL_Distribution_Points::crl_distribution_urls | ( |  | ) | const
| inline

Definition at line 416 of file x509_ext.h.

417 { return m_crl_distribution_urls; }

## ◆ distribution_points()

const std::vector< Distribution_Point > & Botan::Cert_Extension::CRL_Distribution_Points::distribution_points | ( |  | ) | const
| inline

Definition at line 413 of file x509_ext.h.

414 { return m_distribution_points; }

## ◆ oid_of()

OID Botan::Cert_Extension::CRL_Distribution_Points::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 420 of file x509_ext.h.

420{ return static_oid(); }
Botan::Cert_Extension::CRL_Distribution_Points::static_oid
static OID static_oid()
Definition: x509_ext.h:419

## ◆ static_oid()

static OID Botan::Cert_Extension::CRL_Distribution_Points::static_oid | ( |  | ) |
| inline static

Definition at line 419 of file x509_ext.h.

419{ return OID("2.5.29.31"); }

## ◆ validate()

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Name_Constraints, and Botan::Cert_Extension::Certificate_Policies.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp